For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

Retrieve a specific site

GET
/sites/{api_name}/

Use with AI:Rippling AI ChatGPT Claude Cursor

Retrieve a specific site

GET
/sites/{api_name}/

Retrieve a specific site.

Required Scopes

  • sites.read

Request

Path Parameters
    api_name stringrequired

    The unique api_name of the site.

    Example: employee_portal

Responses​

Successful response
Schema
    __meta object
      redacted_fields object[]
        Array [
        name string

        The name for the redacted field

        reason string

        The reason for the redaction

        ]
    id string

    Identifier field

    name string

    The display name of the custom site

    description string

    The optional description of the custom site

    api_name string

    The unique api name of the custom site

    logo string

    A Rippling-owned logo URL for the custom site

    current_bundle_id string

    The active bundle id for the custom site

    admin_group_id string

    The admin group id for the custom site

    viewer_group_id string

    The viewer group id for the custom site

    created_by string

    The ID of the role that created the custom site

    created_at string

    Record creation date

Loading...